Routes

This is a preview version of the API intended for early testing and integration. Preview versions are not stable and may include breaking changes before general availability.

Get collection data

GEThttps://api.insurely.com/wealth/collection/{collectionId}/data

Request

Path Parameters

collectionIdstring

Header Parameters

Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2025-01-01.

Responses

Pension data successfully fetched.

Body

companystring

Company where the financial product has been collected from. Examples: se-folksam, se-lansforsakringar, se-avanza, se-movestic, se-spp, se-nordea, se-amf, se-seb, se-alecta, se-nordnet, se-handelsbanken, se-futur, se-swedbank, se-skandia, se-ica-bank, se-danske-bank.

companyDisplayNamestring

Display name of the company for user-friendly presentation.

typestring

Type of the financial product.

Possible Enum values are ISA.
One of these types:

Properties below are from the ISA subtype. View the full schema for full details.

accountInformationAccountInformation

Account details such as available balance and interest rate.

companystring

Company where the financial product has been collected from. Examples: uk-demo, uk-natwest.

companyDisplayNamestring

Display name of the company for user-friendly presentation.

financialInformationProductFinancialInformation

Financial details of the product, like value, performance etc.

holderHolder

Information about the owner of the financial product.

List of holdings within the ISA.

idstring

Unique identifier for the financial product.

monthlySavingsAmountMonetaryAmount

Monthly savings amount associated with the financial product.

personalInformationobject

Details of the person collecting the data.

productNamestring

Name of the financial product.

productNumberstring

Number associated with the financial product.

transactionsArray<Transaction>

Transaction history for the last 12 months.

typestring

Type of the financial product.

Possible Enum values are ISA.
cURL
curl https://api.insurely.com/wealth/collection/{collectionId}/data \
  -H "authorization-token: <authorization-token>"